<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="location">
			<ui:include src="/pages/admin/submenu.xhtml" />
		</ui:define>
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.admin.maintenance')}" />
		</ui:define>
		<ui:define name="body">
			<p:panelGrid columns="2" rendered="#{adminModel.maintenance != null}" styleClass="width100percent">
				<h:outputText value="#{facesContext.translate('label.admin.maintenance.message')}" />
				<p:inputTextarea id="message" value="#{adminModel.maintenance.message}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.admin.maintenance.message')}" styleClass="inputTextarea"/>
				<h:outputText value="#{facesContext.translate('label.admin.maintenance.downtimeStart')}" />
				<p:datePicker id="dtstart" value="#{adminModel.maintenance.downtimeStart}" showTime="true" required="true"
					requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.admin.maintenance.downtimeStart')}" />
				<h:outputText value="#{facesContext.translate('label.admin.maintenance.downtimeEnd')}" />
				<p:datePicker id="dtend" value="#{adminModel.maintenance.downtimeEnd}" showTime="true" required="true"
					requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.admin.maintenance.downtimeEnd')}" />
				<h:outputText value="" />
			</p:panelGrid>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_approve" action="#{adminController.doMergeMaintenance}" value="#{facesContext.translate('button.approve')}" ajax="false" />
			<p:commandButton id="btn_cancel" action="#{adminController.toListMaintenance}" value="#{facesContext.translate('button.cancel')}" immediate="true" ajax="false" />
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Die Nachricht im Feld Kurzinfo wird auf jeder Seite angezeigt, bis der Zeitpunkt in Downtime-Ende erreicht wurde.  
		</ui:define>
	</ui:composition>
</h:body>
</html>